summaryrefslogtreecommitdiff
path: root/scripts/.scripts/revive-chrome-gpu
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/.scripts/revive-chrome-gpu')
-rwxr-xr-xscripts/.scripts/revive-chrome-gpu16
1 files changed, 16 insertions, 0 deletions
diff --git a/scripts/.scripts/revive-chrome-gpu b/scripts/.scripts/revive-chrome-gpu
new file mode 100755
index 0000000..0bf16bc
--- /dev/null
+++ b/scripts/.scripts/revive-chrome-gpu
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+if [ "$2" = "suspend" ] || [ "$2" = "hybrid-sleep" ]
+then
+ case "$1" in
+ pre)
+ true
+ ;;
+ post)
+ sleep 1
+ pkill -f 'brave \-\-type=gpu-process'
+ ;;
+ esac
+fi